Bug 704381 - g-s-d pulls in system-config-printer-udev
Summary: g-s-d pulls in system-config-printer-udev
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2011-05-12 23:56 UTC by Peter Robinson
Modified: 2012-04-17 12:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-17 12:52:25 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Robinson 2011-05-12 23:56:17 UTC
As of 3.0.1 system-config-printer-udev is now an explicit dep of gnome-settings-daemon which in turns pulls in the entire printing stack, which pulls in colord which in turn pulls in scanners and all sorts of other bits.

There's no bug documented for the reason for adding the system-config-printer-udev dep.

gnome doesn't need printers or associated drivers. Alot of people don't even own printers.

Comment 1 Marek Kašík 2011-05-19 14:18:36 UTC
Hi Peter,

the dependency is needed because system-config-printer-udev triggers showing of the notification that the just connected printer is being installed.

Regards

Marek

Comment 2 Peter Robinson 2011-05-19 17:01:40 UTC
But it pulls in over 200 meg of dependencies. A lot of people don't even own printers. It also is causing problems for updating OLPC XO-1s to F-15. They only have 1Gb of storage.

Comment 3 Dennis Gilmore 2011-05-19 23:20:43 UTC
Marek there is no reason that it should be Required and there are many use cases where it makes sense not to have it.  the correct thing here would be to use comps to have it pulled in on a install and drop the artifical dep on the package.

Comment 4 Peter Robinson 2011-06-11 13:40:50 UTC
Marek: any update?

Comment 5 Marek Kašík 2011-06-13 09:11:45 UTC
Hi Peter,

I've removed the requirement from Fedora 15 and rawhide. You were both right, it is not needed there. It will be picked up at a next update (I'm not pushing an update for this now).

Regards

Marek


Note You need to log in before you can comment on or make changes to this bug.